define(
        [
            'jquery',
            'ko',
            'uiComponent',
            'Magento_Customer/js/customer-data'

        ],
        function ($, ko, Component, customerData) {
            "use strict";
            return Component.extend({

                initialize: function () {

                    // Get data
                    var customData = customerData.get("prevnext-category-data")();

                    // Change something
                    customData.categoryId = window.prevNextCategoryId;

                    // Set data
                    customerData.set("prevnext-category-data", customData);

                    return this._super();
                }
            });
        }
);